summaryrefslogtreecommitdiffstats
path: root/source/n/dnsmasq
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-02-22 19:31:36 +0000
committer Eric Hameleers <alien@slackware.com>2020-02-23 08:59:46 +0100
commit68395436ce762ae02925b4b8cfe0aeb10d72f09a (patch)
treeed88d8c0b354126834f59d5a7fc58989a166cd9e /source/n/dnsmasq
parentc2b213d184f11d3c6585997c13262ebcde3a58d0 (diff)
downloadcurrent-68395436ce762ae02925b4b8cfe0aeb10d72f09a.tar.gz
current-68395436ce762ae02925b4b8cfe0aeb10d72f09a.tar.xz
Sat Feb 22 19:31:36 UTC 202020200222193136
ap/lsscsi-0.31-x86_64-1.txz: Upgraded. l/libxkbcommon-0.10.0-x86_64-2.txz: Rebuilt. Rebuilt to add wayland support. n/dnsmasq-2.80-x86_64-4.txz: Rebuilt. Rebuilt with: -DHAVE_DNSSEC -DHAVE_DBUS -DHAVE_LIBIDN2 -DHAVE_CONNTRACK x/intel-vaapi-driver-2.4.0-x86_64-2.txz: Rebuilt. Rebuilt to add wayland support. x/libglvnd-1.3.1-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/dnsmasq')
-rwxr-xr-xsource/n/dnsmasq/dnsmasq.SlackBuild13
-rw-r--r--source/n/dnsmasq/dnsmasq.nettle35.diff20
2 files changed, 29 insertions, 4 deletions
diff --git a/source/n/dnsmasq/dnsmasq.SlackBuild b/source/n/dnsmasq/dnsmasq.SlackBuild
index aefcd2919..e34d3920f 100755
--- a/source/n/dnsmasq/dnsmasq.SlackBuild
+++ b/source/n/dnsmasq/dnsmasq.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2015, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,9 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=dnsmasq
VERSION=${VERSION:-$(echo dnsmasq-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
+
+EXTRA_BUILD_OPTS=${EXTRA_BUILD_OPTS:-"-DHAVE_DNSSEC -DHAVE_DBUS -DHAVE_LIBIDN2 -DHAVE_CONNTRACK"}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -70,8 +72,11 @@ zcat $CWD/dnsmasq.libidn2.diff.gz | patch -p1 --verbose --backup --suffix=.orig
# Fix build with Linux 5.4.x:
zcat $CWD/dnsmasq-2.80-SIOCGSTAMP.patch.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-make $NUMJOBS all-i18n PREFIX=/usr MANDIR=/usr/man || exit 1
-make install-i18n PREFIX=/usr DESTDIR=$PKG MANDIR=/usr/man || exit 1
+# Fix build with nettle-3.5:
+zcat $CWD/dnsmasq.nettle35.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+make $NUMJOBS all-i18n PREFIX=/usr MANDIR=/usr/man COPTS="$EXTRA_BUILD_OPTS" || exit 1
+make install-i18n PREFIX=/usr DESTDIR=$PKG MANDIR=/usr/man COPTS="$EXTRA_BUILD_OPTS" || exit 1
chmod 0755 $PKG/usr/sbin/dnsmasq
mkdir -p $PKG/etc/dnsmasq.d
diff --git a/source/n/dnsmasq/dnsmasq.nettle35.diff b/source/n/dnsmasq/dnsmasq.nettle35.diff
new file mode 100644
index 000000000..f90b1a490
--- /dev/null
+++ b/source/n/dnsmasq/dnsmasq.nettle35.diff
@@ -0,0 +1,20 @@
+--- ./src/crypto.c.orig 2018-10-18 13:21:55.000000000 -0500
++++ ./src/crypto.c 2020-02-22 13:04:53.071018567 -0600
+@@ -294,7 +294,7 @@
+ if (!(key_256 = whine_malloc(sizeof(struct ecc_point))))
+ return 0;
+
+- nettle_ecc_point_init(key_256, &nettle_secp_256r1);
++ nettle_ecc_point_init(key_256, nettle_get_secp_256r1());
+ }
+
+ key = key_256;
+@@ -307,7 +307,7 @@
+ if (!(key_384 = whine_malloc(sizeof(struct ecc_point))))
+ return 0;
+
+- nettle_ecc_point_init(key_384, &nettle_secp_384r1);
++ nettle_ecc_point_init(key_384, nettle_get_secp_384r1());
+ }
+
+ key = key_384;